//
//  UnReadNumberHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2022/6/7.
//  Copyright © 2022 yin chen. All rights reserved.
//

#import "UnReadNumberHttpPostCmd.h"
#import "UnReadNumberHttpResult.h"

static NSString *kActionUrl1 = @"/enterprise/activity/getUnReadNumber";

@implementation UnReadNumberHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UnReadNumberHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UnReadNumberHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
 NSString *const kHttpUnReadNumberHttpPostCmd_attr = @"attr";
 NSString *const kHttpUnReadNumberHttpPostCmd_userId = @"userId";
 NSString *const kHttpUnReadNumberHttpPostCmd_IDMToken = @"IDMToken";
 NSString *const kHttpUnReadNumberHttpPostCmd_orderby = @"orderby";
 NSString *const kHttpUnReadNumberHttpPostCmd_pageNum = @"pageNum";
 NSString *const kHttpUnReadNumberHttpPostCmd_pageSize = @"pageSize";
 NSString *const kHttpUnReadNumberHttpPostCmd_sort = @"sort";
 NSString *const kHttpUnReadNumberHttpPostCmd_logic = @"logic";
 NSString *const kHttpUnReadNumberHttpPostCmd_filters = @"filters";
